Loading...
Searching...
No Matches
AST Declaration Kind Constants

## Variables

const | astparser::ADK_Class = ADK_Class
| Class declaration kind.
const | astparser::ADK_Closure = ADK_Closure
| Closure declaration kind.
const | astparser::ADK_Constant = ADK_Constant
| Constant declaration kind.
const | astparser::ADK_Function = ADK_Function
| Function declaration kind.
const | astparser::ADK_Hash = ADK_Hash
| Hash declaration kind.
const | astparser::ADK_HashMember = ADK_HashMember
| Hash member declaration kind.
const | astparser::ADK_MemberGroup = ADK_MemberGroup
| Member group declaration kind.
const | astparser::ADK_Namespace = ADK_Namespace
| Namespace declaration kind.
const | astparser::ADK_Superclass = ADK_Superclass
| Superclass declaration kind.
const | astparser::ADK_VarList = ADK_VarList
| Variable list declaration kind.
const | astparser::ADK_Variable = ADK_Variable
| Variable declaration kind.

## Detailed Description